`timescale 1ns / 1ps

module tb();

GSR GSR(
    .GSRI(1'b1)
);

reg             refclk;         //50MHz
wire            rmii_rx_crs_dv;
wire    [ 1:0]  rmii_rxd;
wire            rmii_tx_en;
wire    [ 1:0]  rmii_txd;

wire            rx_error_all_check;

top u_top(
    .refclk             (refclk             ),

    .rmii_rx_crs_dv     (rmii_rx_crs_dv     ),
    .rmii_rxd           (rmii_rxd           ),

    .rmii_tx_en         (rmii_tx_en         ),
    .rmii_txd           (rmii_txd           ),

    .rx_error_all_check (rx_error_all_check )
);

assign  rmii_rx_crs_dv  =   rmii_tx_en;
assign  rmii_rxd        =   rmii_txd;

initial begin
    refclk       =   0;
    forever begin
        #10;
        refclk   =   ~refclk;
    end
end

initial begin
    wait(u_top.cycle_all_time);
    $display("Start of simulation");
    #100
    wait(~u_top.cycle_all_time && ~u_top.rx_running);
    $display("End of simulation and the functional simulation is normal");
    #1000;
    $finish;
end

initial begin
    wait(rx_error_all_check);
    $display("    The received data is abnormal");
    $finish;
end

initial begin
    $fsdbDumpfile("tb.fsdb");
    $fsdbDumpvars;
end

endmodule